## gen2shp-0.3.1-13.src.tar.gz

=== Makefile ===
# $Id: Makefile,v 1.5 2000/06/12 13:24:08 jan Exp $

# add -DWITH_STRICMP if you are compiling i.e. with MS VC
# add -DDEBUG if you want lots of debugging infos
CFLAGS=

all: gen2shp

utils.o: utils.c utils.h
	$(CC) -c utils.c

gen2shp: gen2shp.c utils.o
	$(CC) $(CFLAGS) -o $@ -lshp gen2shp.c utils.o

test: gen2shp
	rm -f pnttest.dbf pnttest.shp pnttest.shx
	./gen2shp pnttest points < pnttest.gen
	rm -f arctest.dbf arctest.shp arctest.shx
	./gen2shp arctest lines < arctest.gen
	rm -f plytest.dbf plytest.shp plytest.shx
	./gen2shp plytest polygons < plytest.gen

clean:
	rm -f gen2shp *.o
	rm -f pnttest.dbf pnttest.shp pnttest.shx
	rm -f arctest.dbf arctest.shp arctest.shx
	rm -f plytest.dbf plytest.shp plytest.shx

=== PKGBUILD ===
# Maintainer:  Federico Cinelli <cinelli@aur.archlinux.org>
# Contributor: dibblethewrecker dibblethewrecker.at.jiwe.dot.org

pkgname=gen2shp
pkgver=0.3.1
pkgrel=13
pkgdesc='Converts ArcInfo generate format to shapefile format'
arch=('x86_64')
url='http://www.intevation.de/~jan/gen2shp/'
license=('GPL')
depends=('glibc' 'shapelib')
source=("https://web.archive.org/web/20110716144136/http://intevation.de/~jan/gen2shp/$pkgname-$pkgver.tar.gz")
sha256sums=('eb84cbce842dcdf468e56f1e58ff666458bc14866345a495cc34b0d3dbad99c0')

build() {
  cd "$pkgname-$pkgver"

  # fix conflicting function names
  sed -i 's/getline/get_line/' gen2shp.c utils.c utils.h
  sed -i 's:libshp/::' gen2shp.c
  sed -i 's/-lshp gen2shp.c utils.o/gen2shp.c utils.o -lshp/' Makefile
  make CFLAGS="$CFLAGS"

}

package() {
  install -D "$pkgname-$pkgver/gen2shp" "$pkgdir/usr/bin/gens2shp"
}
